/*
 * (C) Copyright 2006-2007 Nuxeo SAS (http://nuxeo.com/) and contributors.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser General Public License
 * (LGPL) version 2.1 which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * Contributors:
 *     Nuxeo - initial API and implementation
 * $Id$
 */

package org.nuxeo.ecm.directory;

import org.nuxeo.ecm.core.api.DocumentModel;

/**
 * A table of data representing a directory result set, which is generated by
 * executing a query on a Directory.
 *
 * @author glefter@nuxeo.com
 *
 */
//FIXME: not used, remove?
public interface DirectoryResultSet {

    /**
     * Fetches next entry from the result set.
     *
     * @return the next entry in the result
     * @throws DirectoryException if a communication exception occurs
     */
    DocumentModel getNextEntry() throws DirectoryException;

    /**
     * Closes the result set, freeing the allocated resources.
     *
     * @throws DirectoryException if a communication exception occurs
     */
    void close() throws DirectoryException;

}
